package com.rnfi.testapp

import android.app.Activity
import android.app.AlertDialog
import android.content.Intent
import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.util.Log
import android.widget.Button
import com.paysprint.onboardinglib.activities.HostActivity

class MainActivity : AppCompatActivity() {

    lateinit var btnSubmit: Button
    private val partnerKey = "XXXXXXXXX"
    private val partnerId = "PS00"

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)
        btnSubmit = findViewById(R.id.btnSubmit)

        btnSubmit.setOnClickListener {
            val intent = Intent(applicationContext, HostActivity::class.java)
            intent.putExtra("pId", partnerId)//partner Id provided in credential
            intent.putExtra("pApiKey", partnerKey)//JWT API Key provided in credential
            intent.putExtra("mCode", "")//Merchant Code
            intent.putExtra("mobile", "")// merchant mobile number
            intent.putExtra("lat", "42.10")
            intent.putExtra("lng", "76.00")
            intent.putExtra("firm", "")
            intent.putExtra("email", "")
            intent.addFlags(Intent.FLAG_ACTIVITY_NO_ANIMATION);
            startActivityForResult(intent, 999)
        }

    }


    override fun onActivityResult(requestCode: Int, resultCode: Int, data: Intent?) {
        super.onActivityResult(requestCode, resultCode, data)
        if (requestCode == 999) {
            if (resultCode == Activity.RESULT_OK) {
                val status = data?.getBooleanExtra("status", false)
                val response = data?.getIntExtra("response", 0)
                val message = data?.getStringExtra("message")
                val detailedResponse = "Status: $status,  " +
                        "Response: $response, " +
                        "Message: $message "

                val builder = AlertDialog.Builder(this@MainActivity)
                builder.setTitle("Info")
                builder.setMessage(message)
                builder.setCancelable(false)
                builder.setPositiveButton("Ok"){dialogInterface, which ->
                    dialogInterface.dismiss()
                }
                builder.show();
            }
        }
    }
}